Qt 5.6 | Qt Core | C++ Classes | QStaticPlugin

Qt 5.6.2 Reference Documentation

# QStaticPlugin Class

QStaticPlugin is a struct containing a reference to a static plugin instance together with its meta data. More...

Header: | #include <QStaticPlugin>
qmake: | QT += core
Since: | Qt 5.2

- List of all members, including inherited members

## Public Functions

QObject * | instance()
QJsonObject | metaData() const
const char * | rawMetaData()

## Detailed Description

QStaticPlugin is a struct containing a reference to a static plugin instance together with its meta data.

See also QPluginLoader and How to Create Qt Plugins.

## Member Function Documentation

### QObject *QStaticPlugin::instance()

Returns the plugin instance.

See also QPluginLoader::staticInstances().

### QJsonObject QStaticPlugin::metaData() const

Returns a the meta data for the plugin as a QJsonObject.

See also rawMetaData().

### const char *QStaticPlugin::rawMetaData()

Returns the raw meta data for the plugin.

See also metaData() and Q_PLUGIN_METADATA().